namespace JSMR.Application.Common.Caching;

public interface ICacheObject<T>
{
    Task<T> GetAsync(CancellationToken cancellationToken = default);
    Task<T> RefreshAsync(CancellationToken cancellationToken = default);
}